- Fluid Reference Documentation
- Fluid 1.0.0

# TimePicker QML Type

Control to select a time More...

Import Statement: | import Fluid.Controls 1.0

- List of all members, including inherited members

## Properties

- background : Item
- footer : Item
- header : Item
- locale : Locale
- orientation : enumeration
- prefer24Hour : bool
- selectedTime : date
- selector : Item

## Detailed Description

Stand-alone control to select a time.

      import QtQuick 2.10
      import Fluid.Controls 1.0 as FluidControls

      Item {
          width: 600
          height: 600

          FluidControls.TimePicker {
              anchors.centerIn: parent
              onSelectedTimeChanged: {
                  console.log("You have selected:", selectedTime);
              }
          }
      }

For more information you can read the Material Design guidelines.

## Property Documentation

background : Item

This property holds the background item.

footer : Item

This property holds the footer item.

header : Item

This property holds the header item.

locale : Locale

This property holds the locale of the control.

orientation : enumeration

This property holds the date picker orientation. The default value is automatically selected based on the device orientation.

Possible values:

Constant | Description
--- | ---
`DatePicker.Landscape` | The date picker is landscape.
`DatePicker.Portrait` | The date picker is portrait.

prefer24Hour : bool

This property determines the visibility of the AM/PM switch.

selectedTime : date

This property holds the time that has been selected by the user. The default value is the current time.

selector : Item

This property holds the selector item.